Roomability Guest API
Commerce & Guest API ServicesHotel Management System
Commerce & Guest API ServicesHotel Management System
  1. Rooms
Roomability Guest API
  • Admin
    • Authentication
      • Admin Profile
      • Login Admin
      • Admin Logout
      • Forget Password
      • Confirm Reset Password
    • Rooms
      • Get All Rooms
        GET
      • Get Room Details
        GET
      • Hide Rooms
        PATCH
      • Create Room
        POST
      • Update Room
        PATCH
      • Delete Room
        DELETE
    • Apartments
      • Get All Apartments
      • Get Apartment Details
      • Apartment Status
      • Create Apartment
      • Update Apartment
      • Delete Apartment
    • Proposals
      • Fetch All Proposals
      • Delete Proposals
      • Fetch Proposal Details
      • Approve / Decline Proposal
    • Reservations
      • All Reservation
      • Delete Reservations
      • End / Cancel Reservation
      • Add Reservation
      • Add Reservation (New)
      • Send Invoice
      • Change Reservation ID
      • Filter For Reservations
      • Get Reservation Details
    • Bookings
      • All Booking Reservation
      • Delete Bookings
      • End / Cancel Reservation
      • Add Reservation (New)
      • Send Invoice
      • Change Reservation ID
      • Filter For Reservations
      • Get Booking Details
    • Receptionists
      • Create Receptionist
      • View All Receptionist
      • Delete Receptionist
    • Dashboard
      • Get Statistics
    • Schedule Calls
      • View All Schedules
      • Update Schedule Calls
    • Coupons
      • Create Coupon Code
      • Get All Coupon Code
      • Deactivate / Activate Coupon Code
      • Delete Coupon
    • Refunds
      • Get All Refunds
      • Issue a Refund
      • Approve Or Decline Refunds
      • Update Refunds
      • Filter Refund
    • Categories
      • Create Categories
      • Get All Room Types
      • Update Room Category
      • Delete Room Category
    • Payments (New)
      • Confirm Payment (New)
  • Users
    • Proposals
      • Send A Proposal
    • Reservations
      • Get All Reservations
      • Get Active Reservations
      • Extend Reservation
      • Download Invoice
      • Get Reservation Details
    • Authentication
      • User Registration
      • User Profile
      • Forget Password
      • User Login
      • User Logout
      • Update Account
      • Confirm Reset Password
      • Code Verification
    • Payments
      • Verify Payment
      • Payment For Reservation
      • Create Payment Link (New)
      • Confirm Payment (New)
      • Make Payment For Apartment
      • Verify Paid Apartments
    • Coupons
      • Apply Coupons
    • Refunds
      • Issue a Refund
      • Get All Refunds
  • Rooms
    • Get All Rooms
      GET
    • View Room Details
      GET
    • Filter Rooms
      GET
    • Get Avaliable Rooms
      GET
  • Apartments
    • Get All Apartments
    • View Apartment Details
    • Get Avaliable Apartments
  • Categories
    • Get All Categories
  • Owners
    • Authentication
      • Code Verification
      • Get Profile
      • Login
      • User Registration
      • Forget Password
      • Update Account Copy
  • Base Endpiont
    GET
  • Health Check
    GET
  • Schedule A Call
    POST
  • Subscribe Email
    POST
  • Cron Jobs
    GET
  • Payment Webhook
    POST
  • New Request
    GET
Commerce & Guest API ServicesHotel Management System
Commerce & Guest API ServicesHotel Management System
  1. Rooms

Delete Room

DELETE
/admin/rooms/{id}
Last modified:2026-03-12 17:03:01

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request DELETE '/admin/rooms/66154aeaa42d92141425d2db' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "status": true,
    "message": "Success! the room has been deleted successfully.",
    "data": {
        "_id": "66151669c11a0131fb18bf1d",
        "type": "Deluxe Room",
        "price": 996,
        "totalRooms": 10,
        "availableRooms": 10,
        "location": "motherland resort",
        "bookedStatus": false,
        "description": "<p>lm,lecmskma</p>",
        "facilities": [
            "24hr Electricity",
            "Free WiFi",
            "Air Condition",
            "Nice View"
        ],
        "comments": [],
        "isToggle": "on",
        "images": [
            "https://firebasestorage.googleapis.com/v0/b/hotel-project-a01c4.appspot.com/o/rooms%2F1712658024675_0_image%2Fjpeg?alt=media&token=21e696d1-d788-4f48-a7ba-950bb26277e2"
        ],
        "bookedDates": [],
        "createdAt": "2024-04-09T10:20:25.328Z",
        "updatedAt": "2024-04-11T08:27:21.560Z",
        "__v": 0
    }
}
Modified at 2026-03-12 17:03:01
Previous
Update Room
Next
Get All Apartments
Built with